# Class CIM_DiskSpaceCheck
extends CIM_Check

DiskSpaceCheck describes the amount of disk space that needs to be available on the computer system. The amount is specified in the AvailableDiskSpace property. The details of this Check are compared with the value of the CIM_FileSystem. AvailableSpace property - where the CIM_FileSystem object is related (using HostedFileSystem) to the CIM_Computer System instance that describes the environment. When the value of the AvailableSpace property is greater than or equal to the value specified in AvailableDiskSpace, the Check is satisfied.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Check
|
+--CIM_DiskSpaceCheck

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

DiskSpaceCheck describes the amount of disk space that needs to be available on the computer system. The amount is specified in the AvailableDiskSpace property. The details of this Check are compared with the value of the CIM_FileSystem. AvailableSpace property - where the CIM_FileSystem object is related (using HostedFileSystem) to the CIM_Computer System instance that describes the environment. When the value of the AvailableSpace property is greater than or equal to the value specified in AvailableDiskSpace, the Check is satisfied.

UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AvailableDiskSpace | uint64 |
Description | string | The AvailableDiskSpace property specifies the minimum amount of disk space that needs to be available on the target system.
ModelCorrespondence | string | CIM_FileSystem.AvailableSpace
PUnit | string | byte * 10^3
Units | string | KiloBytes

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CheckID | string | CIM_Check
CheckMode | boolean | CIM_Check
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Check
SoftwareElementID | string | CIM_Check
SoftwareElementState | uint16 | CIM_Check
TargetOperatingSystem | uint16 | CIM_Check
Version | string | CIM_Check

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Check
InvokeOnSystem | uint32 | CIM_Check